Subject: Re: bug#66503: 29.1; Problem rendering Arabic diacriticals

From: Alan Third <[email-masked]>
Date: Thu, 12 Oct 2023 21:39:52 +0100

On Thu, Oct 12, 2023 at 10:52:16AM -0700, John Wiegley wrote:
> Hello maintainers,
> 
> I have found that Emacs does not render Arabic diacriticals correctly when
> there are multiple of them.

> In GNU Emacs 29.1 (build 1, x86_64-apple-darwin22.6.0, Carbon Version 169
> AppKit 2299.7)
> Windowing system distributor 'Apple Inc.', version 10.16.0
> System Description:  macOS 13.6

FYI I believe this is Mutsuharu Yamamoto's Mac port.

The NS port uses substantially the same code-base for font production,
I think, but there' may be differences.
-- 
Alan Third